MP4(3)

NAME

MP4AddVideoTrack - Add a video track

SYNTAX

#include <mp4.h>

MP4TrackId MP4AddVideoTrack(
    MP4FileHandle hFile,
    u_int32_t timeScale,
    u_int32_t sampleDuration,
    u_int16_t width,
    u_int16_t height,
    u_int8_t videoType = MP4_MPEG4_VIDEO_TYPE
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

timeScale
    Specifies the time scale in ticks per second of the track.

sampleDuration
    Specifies a fixed sample duration for all track samples. Caveat: The value should be in track time scale units

width
    Specifies the video frame width in pixels.

height
    Specifies the video frame height in pixels.

videoType
    Specifies the video encoding type. See MP4GetTrackVideoType() for known values.

RETURN VALUES

Upon success, the track id of the new track. Upon an error, MP4_INVALID_TRACK_ID.

DESCRIPTION

MP4AddVideoTrack adds a video track to the mp4 file. MP4WriteSample() can then be used to add the desired video samples.

It is recommended that the time scale be set to 90000 so as to preserve the timing information accurately for the range of video frame rates commonly in use.

If the video frame rate is to be fixed then the sampleDuration argument should be give the appropriate fixed value. If the video frame rate is to be variable then the value MP4_INVALID_SAMPLE_DURATION should be given for the sampleDuration argument.

SEE ALSO

MP4(3)